Software updater not working

Asked by Robert James on 2021-01-08

When I click to run the updater, a blank window opens and it just does nothing.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Robert James
Solved:
2021-01-17
Last query:
2021-01-17
Last reply:
2021-01-16

This question was reopened

What is the full output of:

sudo apt update; sudo apt upgrade; lsb_release -a; uname -a

Thanks

Robert James (marythemoose) said : #2

I'm so sorry, i must have missed the email notification that someone had replied, I was still waiting for instructions.

I think this has at least fixed the short term issue, thanks.

Output as follows:

marythemoose@marythemoose-H61M-DS2:~$ sudo apt update; sudo apt upgrade; lsb_release -a; uname -a
Hit:1 http://gb.archive.ubuntu.com/ubuntu focal InRelease
Get:2 http://gb.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:3 http://archive.canonical.com/ubuntu focal InRelease
Hit:4 https://dl.winehq.org/wine-builds/ubuntu focal InRelease
Hit:5 http://security.ubuntu.com/ubuntu focal-security InRelease
Get:6 http://gb.archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Get:7 http://gb.archive.ubuntu.com/ubuntu focal-proposed InRelease [267 kB]
Fetched 482 kB in 1s (343 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
4 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed
  linux-headers-5.4.0-61 linux-headers-5.4.0-61-generic
  linux-image-5.4.0-61-generic linux-modules-5.4.0-61-generic
  linux-modules-extra-5.4.0-61-generic
The following packages have been kept back:
  libavcodec-extra
The following packages will be upgraded:
  linux-generic linux-headers-generic linux-image-generic
3 to upgrade, 5 to newly install, 0 to remove and 1 not to upgrade.
Need to get 74.1 MB of archives.
After this operation, 360 MB of additional disk space will be used.
Do you want to continue? [Y/n]

Robert James (marythemoose) said : #3

Get:1 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-modules-5.4.0-61-generic amd64 5.4.0-61.69 [14.5 MB]
Get:2 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-image-5.4.0-61-generic amd64 5.4.0-61.69 [8,894 kB]
Get:3 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-modules-extra-5.4.0-61-generic amd64 5.4.0-61.69 [38.6 MB]
71% [3 linux-modules-extra-5.4.0-61-generic 37.6 MB/38.6 MB 98%] Get:4 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-generic amd64 5.4.0.61.64 [1,900 B]
Get:5 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-image-generic amd64 5.4.0.61.64 [2,608 B]
Get:6 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-headers-5.4.0-61 all 5.4.0-61.69 [11.0 MB]
Get:7 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-headers-5.4.0-61-generic amd64 5.4.0-61.69 [1,233 kB]
Get:8 http://gb.archive.ubuntu.com/ubuntu focal-proposed/main amd64 linux-headers-generic amd64 5.4.0.61.64 [2,472 B]
Fetched 74.1 MB in 2min 45s (448 kB/s)
Selecting previously unselected package linux-modules-5.4.0-61-generic.
(Reading database ... 349876 files and directories currently installed.)
Preparing to unpack .../0-linux-modules-5.4.0-61-generic_5.4.0-61.69_amd64.deb
...
Unpacking linux-modules-5.4.0-61-generic (5.4.0-61.69) ...
Selecting previously unselected package linux-image-5.4.0-61-generic.
Preparing to unpack .../1-linux-image-5.4.0-61-generic_5.4.0-61.69_amd64.deb ..
.
Unpacking linux-image-5.4.0-61-generic (5.4.0-61.69) ...
Selecting previously unselected package linux-modules-extra-5.4.0-61-generic.
Preparing to unpack .../2-linux-modules-extra-5.4.0-61-generic_5.4.0-61.69_amd6
4.deb ...
Unpacking linux-modules-extra-5.4.0-61-generic (5.4.0-61.69) ...
Preparing to unpack .../3-linux-generic_5.4.0.61.64_amd64.deb ...
Unpacking linux-generic (5.4.0.61.64) over (5.4.0.59.62) ...
Preparing to unpack .../4-linux-image-generic_5.4.0.61.64_amd64.deb ...
Unpacking linux-image-generic (5.4.0.61.64) over (5.4.0.59.62) ...
Selecting previously unselected package linux-headers-5.4.0-61.
Preparing to unpack .../5-linux-headers-5.4.0-61_5.4.0-61.69_all.deb ...
Unpacking linux-headers-5.4.0-61 (5.4.0-61.69) ...
Selecting previously unselected package linux-headers-5.4.0-61-generic.
Preparing to unpack .../6-linux-headers-5.4.0-61-generic_5.4.0-61.69_amd64.deb
...
Unpacking linux-headers-5.4.0-61-generic (5.4.0-61.69) ...
Preparing to unpack .../7-linux-headers-generic_5.4.0.61.64_amd64.deb ...
Unpacking linux-headers-generic (5.4.0.61.64) over (5.4.0.59.62) ...
Setting up linux-modules-5.4.0-61-generic (5.4.0-61.69) ...
Setting up linux-image-5.4.0-61-generic (5.4.0-61.69) ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.4.0-59-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.4.0-59-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.4.0-61-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.4.0-61-generic
Setting up linux-headers-5.4.0-61 (5.4.0-61.69) ...
Setting up linux-headers-5.4.0-61-generic (5.4.0-61.69) ...
Setting up linux-modules-extra-5.4.0-61-generic (5.4.0-61.69) ...
Setting up linux-headers-generic (5.4.0.61.64) ...
Setting up linux-image-generic (5.4.0.61.64) ...
Setting up linux-generic (5.4.0.61.64) ...
Processing triggers for linux-image-5.4.0-61-generic (5.4.0-61.69) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-61-generic
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
Found linux image: /boot/vmlinuz-5.4.0-61-generic
Found initrd image: /boot/initrd.img-5.4.0-61-generic
Found linux image: /boot/vmlinuz-5.4.0-59-generic
Found initrd image: /boot/initrd.img-5.4.0-59-generic
Found linux image: /boot/vmlinuz-5.4.0-58-generic
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
Found memtest86+ image: /memtest86+.elf
Found memtest86+ image: /memtest86+.bin
  WARNING: PV /dev/sda5 in VG ubuntu-vg is using an old PV header, modify the V
G to update.
done
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 20.04.1 LTS
Release: 20.04
Codename: focal
Linux marythemoose-H61M-DS2 5.4.0-59-generic #65-Ubuntu SMP Thu Dec 10 12:01:51 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Looks okay. You have some warnings which you can look online to see what they mean (they're just warnings though so I wouldn't worry too much) but the system is updated. Does the GUI application work OK now?

Manfred Hampl (m-hampl) said : #5

You can get rid of the PV warnings with https://askubuntu.com/a/1299628

Robert James (marythemoose) said : #6

The Software Updater is still not working.

Manfred Hampl (m-hampl) said : #7

What happens if you open a terminal window and issue the command

update-manager

Robert James (marythemoose) said : #8

nothing:

marythemoose@marythemoose-H61M-DS2:~$ update-manager
marythemoose@marythemoose-H61M-DS2:~$

I don't use the GUI apps for package management or updates myself, but updates are coming in so the package system is consistent.

Robert James (marythemoose) said : #10

I've been issuing the command 'sudo apt-get upgrade' manually so i think I'mm getting the updates, but the automatic software updater is just opening a blank window and not doing anything.

Manfred Hampl (m-hampl) said : #11

Are you talking about the periodic announcement of available updates, or about manual starting update-manager?

In comment #8 you write "nothing happens"
and in comment #10 you are talking about a blank window that opens.

Please explain.

Robert James (marythemoose) said : #12

problem appears to be fixed now.